Cài đặt Firebase trong ứng dụng Apple của bạn

Trình quản lý gói Swift

Bắt đầu với v8.0.0 của Firebase Apple SDK, hỗ trợ Trình quản lý gói Swift của Firebase đã hết phiên bản beta và thường có sẵn để sử dụng. CocoaPods không bắt buộc đối với người dùng Swift Package Manager.

Đối với Firebase phiên bản 8 trở lên, Swift Package Manager là phương pháp cài đặt được khuyến nghị.

Qua Xcode

Hỗ trợ Trình quản lý gói Swift yêu cầu 13.3.1 trở lên.

  1. Nếu di chuyển từ một dự án dựa trên CocoaPods, hãy chạy pod deintegrate để xóa CocoaPods khỏi dự án Xcode của bạn. Tệp .xcworkspace do .xcworkspace tạo có thể bị xóa một cách an toàn sau đó. Nếu bạn đang thêm Firebase vào một dự án lần đầu tiên, bạn có thể bỏ qua bước này.

  2. Trong Xcode, hãy cài đặt các thư viện Firebase bằng cách điều hướng đến Tệp> Thêm gói

  3. Trong lời nhắc xuất hiện, hãy chọn kho lưu trữ Firebase GitHub:

    https://github.com/firebase/firebase-ios-sdk.git
    
  4. Chọn phiên bản Firebase bạn muốn sử dụng. Đối với các dự án mới, chúng tôi khuyên bạn nên sử dụng phiên bản Firebase mới nhất.

  5. Chọn thư viện Firebase bạn muốn đưa vào ứng dụng của mình.

Sau khi bạn hoàn tất, Xcode sẽ bắt đầu giải quyết các gói phụ thuộc của bạn và tải chúng xuống nền.

Qua Package.swift

Để tích hợp Firebase vào một gói Swift thông qua tệp kê khai Package.swift , bạn có thể thêm Firebase vào mảng dependencies trong gói của mình. Để biết thêm chi tiết, hãy xem tài liệu Trình quản lý gói Swift .

dependencies: [

  .package(name: "Firebase",
           url: "https://github.com/firebase/firebase-ios-sdk.git",
           from: "8.0"),
  // ...

],

Sau đó, trong bất kỳ mục tiêu nào phụ thuộc vào sản phẩm Firebase, hãy thêm mục tiêu đó vào mảng dependencies của mục tiêu đó.

.target(
  name: "MyTargetName",
  dependencies: [
    .product(name: "FirebaseAuth", package: "Firebase"),
    // ...
  ]
),

Cân nhắc về sản phẩm cụ thể

Một số sản phẩm Firebase yêu cầu các bước tích hợp bổ sung để hoạt động chính xác.

Google Analytics

Google Analytics yêu cầu thêm cờ trình liên kết -ObjC vào cài đặt bản dựng của mục tiêu của bạn nếu được bao gồm chuyển tiếp.

Crashlytics

Crashlytics yêu cầu bạn tải lên các ký hiệu gỡ lỗi.

Bạn có thể sử dụng giai đoạn xây dựng tập lệnh chạy cho Xcode để tự động tải lên các ký hiệu gỡ lỗi sau khi xây dựng. Tìm tập lệnh chạy ở đây:

${BUILD_DIR%Build/*}/SourcePackages/checkouts/firebase-ios-sdk/Crashlytics/run

Một tùy chọn khác để tải lên ký hiệu là sử dụng tập lệnh upload-symbols . Đặt tập lệnh vào thư mục con của tệp dự án của bạn (ví dụ: scripts/upload-symbols ), sau đó đảm bảo rằng tập lệnh có thể thực thi được:

chmod +x scripts/upload-symbols

Tập lệnh này có thể được sử dụng để tải lên các tệp dSYM theo cách thủ công. Để có ghi chú sử dụng và hướng dẫn bổ sung cho tập lệnh, hãy chạy upload-symbols mà không có bất kỳ tham số nào.

Ca cao

Firebase hỗ trợ cài đặt với CocoaPods ngoài Swift Package Manager.

Bản phân phối CocoaPods của Firebase yêu cầu Xcode 13.3.1 và CocoaPods 1.10.0 trở lên. Dưới đây là cách cài đặt Firebase bằng CocoaPods:

  1. Tạo Podfile nếu bạn chưa có. Từ thư mục gốc của thư mục dự án của bạn, hãy chạy lệnh sau:

    pod init
  2. Vào Podfile của bạn, hãy thêm các nhóm Firebase mà bạn muốn sử dụng trong ứng dụng của mình.

    Bạn có thể thêm bất kỳ sản phẩm Firebase nào được hỗ trợ vào ứng dụng của mình.

    Đã bật phân tích

    # Add the Firebase pod for Google Analytics
    pod 'FirebaseAnalytics'
    
    # For Analytics without IDFA collection capability, use this pod instead
    # pod ‘Firebase/AnalyticsWithoutAdIdSupport’
    
    # Add the pods for any other Firebase products you want to use in your app
    # For example, to use Firebase Authentication and Cloud Firestore
    pod 'FirebaseAuth'
    pod 'FirebaseFirestore'

    Tìm hiểu thêm về IDFA, mã nhận dạng quảng cáo cấp thiết bị, trong tài liệu về Quyền riêng tư của người dùng và Sử dụng dữ liệu cũng như tính minh bạch của Theo dõi ứng dụng của Apple.

    Phân tích không được bật

    # Add the pods for the Firebase products you want to use in your app
    # For example, to use Firebase Authentication and Cloud Firestore
    pod 'FirebaseAuth'
    pod 'FirebaseFirestore'
  3. Cài đặt các nhóm, sau đó mở tệp .xcworkspace của bạn để xem dự án trong Xcode:

    pod install --repo-update
    open your-project.xcworkspace

Cân nhắc về sản phẩm cụ thể

Một số sản phẩm Firebase yêu cầu các bước tích hợp bổ sung để hoạt động chính xác.

Crashlytics

Crashlytics yêu cầu bạn tải lên các ký hiệu gỡ lỗi.

Bạn có thể sử dụng giai đoạn xây dựng tập lệnh chạy cho Xcode để tự động tải lên các ký hiệu gỡ lỗi sau khi xây dựng. Tìm tập lệnh chạy ở đây:

"${PODS_ROOT}/FirebaseCrashlytics/run"

Carthage

Hỗ trợ Carthage là thử nghiệm. Xem hướng dẫn trên GitHub để đưa Firebase vào ứng dụng của bạn qua Carthage.

Tích hợp thủ công

Firebase cung cấp bản phân phối XCFramework nhị phân được tạo sẵn cho người dùng muốn tích hợp Firebase mà không cần sử dụng trình quản lý phụ thuộc. Để cài đặt Firebase:

  1. Tải xuống zip SDK khung . Tệp này chứa các lát kiến ​​trúc cho tất cả các kiến ​​trúc mục tiêu có sẵn cho tất cả các SDK Firebase và do đó có thể mất một chút thời gian để tải xuống.

  2. Giải nén tệp, sau đó xem lại README cho các khuôn khổ mà bạn muốn đưa vào ứng dụng của mình.

  3. Thêm cờ trình liên kết -ObjC trong Other Linker Settings của bạn trong cài đặt xây dựng mục tiêu của bạn.